/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workexplore.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workexplore.dao.WorkExploreDao;
import com.jeeplus.modules.workexplore.entity.WorkExplore;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 现场踏勘记录Service
 * @author 马鹏波
 * @version 2018-06-05
 */
@Service
@Transactional(readOnly = true)
public class WorkExploreService extends CrudService<WorkExploreDao, WorkExplore> {

	@Autowired
	private WorkExploreDao workExploreDao;

	public WorkExplore get(String id) {
		return super.get(id);
	}
	
	public List<WorkExplore> findList(WorkExplore workExplore) {
		return super.findList(workExplore);
	}
	
	public Page<WorkExplore> findPage(Page<WorkExplore> page, WorkExplore workExplore) {
		return super.findPage(page, workExplore);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkExplore workExplore) {
		super.save(workExplore);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkExplore workExplore) {
		super.delete(workExplore);
	}


	public WorkExplore findListByProId(WorkExplore workExplore){
		return workExploreDao.findListByProId(workExplore);
	}
	
}